summaryrefslogtreecommitdiffstats
path: root/source/l/svgalib
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/svgalib')
-rw-r--r--source/l/svgalib/slack-desc8
-rw-r--r--source/l/svgalib/svgalib-1.9.25-quickmath-h-redefinitions.patch91
-rwxr-xr-xsource/l/svgalib/svgalib.SlackBuild23
3 files changed, 111 insertions, 11 deletions
diff --git a/source/l/svgalib/slack-desc b/source/l/svgalib/slack-desc
index 9205ef1b0..bf3453553 100644
--- a/source/l/svgalib/slack-desc
+++ b/source/l/svgalib/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
svgalib: svgalib (A low level graphics library for Linux)
svgalib:
svgalib: This is a low level graphics library for Linux, originally based on
-svgalib: VGAlib 1.2 by Tommy Frandsen. Support for many more chipsets has
+svgalib: VGAlib 1.2 by Tommy Frandsen. Support for many more chipsets has
svgalib: been added.
svgalib:
svgalib: svgalib is currently maintained by Matan Ziv-Av.
diff --git a/source/l/svgalib/svgalib-1.9.25-quickmath-h-redefinitions.patch b/source/l/svgalib/svgalib-1.9.25-quickmath-h-redefinitions.patch
new file mode 100644
index 000000000..c713489ae
--- /dev/null
+++ b/source/l/svgalib/svgalib-1.9.25-quickmath-h-redefinitions.patch
@@ -0,0 +1,91 @@
+diff -Naur svgalib-1.9.25.orig/threeDKit/quickmath.h svgalib-1.9.25/threeDKit/quickmath.h
+--- svgalib-1.9.25.orig/threeDKit/quickmath.h 2005-08-03 15:07:32.000000000 +0200
++++ svgalib-1.9.25/threeDKit/quickmath.h 2015-08-03 19:45:12.864161135 +0200
+@@ -76,76 +76,17 @@
+
+ #else
+
+-extern inline double fsqr (double x)
+-{
+- return x * x;
+-}
+-
+-extern inline int lsqr (int x)
+-{
+- return (int) x *x;
+-}
+-
+-extern inline double fmax (double a, double b)
+-{
+- return max (a, b);
+-}
+-
+-extern inline double fmin (double a, double b)
+-{
+- return min (a, b);
+-}
+-
+-extern inline double fsgn (double a)
+-{
+- return (a == 0.0 ? 0.0 : (a > 0.0 ? 1.0 : -1.0));
+-}
+-
+-extern inline double dot (Vec a, Vec b)
+-{
+- return a.x * b.x + a.y * b.y + a.z * b.z;
+-}
+-
+-extern inline Vec cross (Vec a, Vec b)
+-{
+- Vec c;
+- c.x = a.y * b.z - a.z * b.y;
+- c.y = a.z * b.x - a.x * b.z;
+- c.z = a.x * b.y - a.y * b.x;
+- return c;
+-}
+-
+-extern inline Vec plus (Vec a, Vec b)
+-{
+- Vec c;
+- c.x = a.x + b.x;
+- c.y = a.y + b.y;
+- c.z = a.z + b.z;
+- return c;
+-}
+-
+-extern inline Vec minus (Vec a, Vec b)
+-{
+- Vec c;
+- c.x = a.x - b.x;
+- c.y = a.y - b.y;
+- c.z = a.z - b.z;
+- return c;
+-}
+-
+-extern inline Vec times (Vec a, double f)
+-{
+- Vec c;
+- c.x = a.x * f;
+- c.y = a.y * f;
+- c.z = a.z * f;
+- return c;
+-}
+-
+-extern inline double norm (Vec a)
+-{
+- return sqrt (sqr (a.x) + sqr (a.y) + sqr (a.z));
+-}
++extern inline double fsqr (double x);
++extern inline int lsqr (int x);
++extern inline double fmax (double a, double b);
++extern inline double fmin (double a, double b);
++extern inline double fsgn (double a);
++extern inline double dot (Vec a, Vec b);
++extern inline Vec cross (Vec a, Vec b);
++extern inline Vec plus (Vec a, Vec b);
++extern inline Vec minus (Vec a, Vec b);
++extern inline Vec times (Vec a, double f);
++extern inline double norm (Vec a);
+
+ #endif
+
diff --git a/source/l/svgalib/svgalib.SlackBuild b/source/l/svgalib/svgalib.SlackBuild
index 1e95669f0..0400b2fa0 100755
--- a/source/l/svgalib/svgalib.SlackBuild
+++ b/source/l/svgalib/svgalib.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,23 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=svgalib
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -49,7 +58,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-svgalib
rm -rf $PKG
@@ -80,6 +88,7 @@ zcat $CWD/svgalib-1.9.25-kernel-2.6.26.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/svgalib.nohelper.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/svgalib-1.9.25-round_gtf_gtfcalc_c.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/svgalib-1.9.25-vga_getmodenumber.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/svgalib-1.9.25-quickmath-h-redefinitions.patch.gz | patch -p1 --verbose || exit 1
# Build and install - spamming your partition first...:
make install NO_HELPER=y || exit 1